#!/usr/bin/perl -w -I/usr/sausalito/perl
# $Id: create.pl,v 1.1 2001/11/01 22:00:28 bservies Exp $
#
# Copyright 2001 Sun Microsystems, Inc., All rights reserved.
#

use strict;

use CCE;
use Sauce::Util;
use Arkeia;

my $cce = new CCE(Namespace => 'Arkeia');
$cce->connectfd();

# Get information on the object being created
my $obj = $cce->event_object();

my $ok = Arkeia::arkeia_checkparameters($cce, $obj);
if (! $ok) {
	$cce->bye('FAIL');
	exit(1);
}

# Save the new server configuration
$ok = Arkeia::arkeia_saveconfig($cce, $obj);
if (! $ok) {
	$cce->bye('FAIL');
	exit(1);
}

$cce->bye('SUCCESS');
exit(0);

